Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq
Class GenericConnectionFactory

    java.lang.Object
      org.jboss.mq.GenericConnectionFactory

All Implemented Interfaces:
  Serializable

public class GenericConnectionFactory
extends Object
implements Serializable

The RMI implementation of the DistributedConnectionFactory object

Version:
  $Revision: 1.11 $
Author:
  Hiram Chirino (Cojonudo14@hotmail.com), Adrian Brock
See Also:
  Serialized Form

Constructor Summary
`GenericConnectionFactory(ServerIL server, Properties props)` The constructor takes a ServerIL and the Connection Properties parameters, The connection properties are allways required since they are used to setup the ClientIL, but the ServerIL can be null if the connection properties defines a ServerILFactory so that the SeverIL can be created on the client side.

Method Summary
`ClientILService` | `createClientILService(Connection connection)` Creates a new instance of the ClientILService
`ServerIL` | `createServerIL()` Creates a new instance of the ServerIL
`void` | `initialise(Connection connection)` Initialise the connection
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GenericConnectionFactory

    public GenericConnectionFactory(ServerIL server,
                                    Properties props)

  The constructor takes a ServerIL and the Connection Properties parameters, The connection properties are allways required since they are used to setup the ClientIL, but the ServerIL can be null if the connection properties defines a ServerILFactory so that the SeverIL can be created on the client side. The ServerIL paramter is usefull for IL such as RMI or the JVM IL since trying to explicity create a connection to them is not strait forward.

Parameters:
  `server` - the serverIL
  `props` - the connection properties

Method Detail

### initialise

    public void initialise(Connection connection)
                    throws javax.jms.JMSException

  Initialise the connection

  Parameters:
    `connection` - the connection to initialise
  Throws:
    `javax.jms.JMSException`

### createClientILService

    public ClientILService createClientILService(Connection connection)
                                          throws Exception

  Creates a new instance of the ClientILService

  Parameters:
    `connection` - the connection
  Returns:
    the client il
  Throws:
    `Exception` - for any error

### createServerIL

    public ServerIL createServerIL()
                            throws javax.jms.JMSException

  Creates a new instance of the ServerIL

  Returns:
    the server il
  Throws:
    `javax.jms.JMSException` - for any error

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.